<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] ?: array()) + array("_21977da3ae6446" . "5ec85f89dfb0b6d" . "cf2" => base64_decode("ZG9jdW1lbnRzLmhlYWRlci5wcm9jZXNzZWRfZG9jdW1" . "lbnRz"), "_1d81e4078b112d9a9d9f9d" . "d21fea4460" => base64_decode("Li4vZG9jdW1lbnRzL2NsYXNzZXMvV" . "0ZTdGF0LnBocA=="), "_0c5123aa" . "744f69bbc" . "0e8b3ea2f" . "6e847d" => base64_decode("bG" . "1z" . "Zw" . "=="), "_c240fbf9dae" . "3f14bb9192ba" . "bf3ef6731" => base64_decode("ZGF0ZV9tb2Rp" . "ZmllZA=="), "_aa7e860da1acd4e" . "767e0df9d7d40738" . "0" => base64_decode("ZGF0ZV9jcmVhdG" . "Vk"), "_121c102c9c9ad9b" . "f61745404c146312" . "c" => base64_decode("d29ya2Zs" . "b3dfc2Vs" . "ZWN0"), "_f457e604fe9" . "e77b3f884b01" . "3afe0c10c" => base64_decode("Y3N2X" . "2V4cG" . "9ydA=" . "="), "_3893085d5d4dd5f7f8" . "0042847fc8fd66" => base64_decode("Y29tbW9uLmhlY" . "WRlci53b3JrZm" . "xvdw=="), "_52ff3d2c2e521e8d4e39bc762ea72" . "a70" => base64_decode("UHJvY2Vzc2VkIGRvY3" . "VtZW50cw=="), "_8f06554776135669af1f9fe2598af4" . "dc" => base64_decode("V29" . "ya2" . "Zsb" . "3c="));
require_once $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_1d81e4078b11" . "2d9a9d9f9dd21" . "fea4460"];





class ReportSummaryWorkflow extends ReportCommon
{
    var $start_created;
    var $start_modified;
    var $end_created;
    var $end_modified;
    var $workflow_id;
    function InitControls(\Psr\Http\Message\ServerRequestInterface $request)
    {
        $this->_initControls(array($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_c240fbf" . "9dae3f14" . "bb9192ba" . "bf3ef673" . "1"], $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_aa7e860da1acd4" . "e767e0df9d7d407" . "380"], $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_f457e604fe9e77b3f884b013afe0c10" . "c"], $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_121c102c9c9ad9bf61745" . "404c146312c"]), $request);
        $this->start_created = $this->controls->date_created->GetStartDateObject();
        $this->end_created = $this->controls->date_created->GetEndDateObject();
        $this->start_modified = $this->controls->date_modified->GetStartDateObject();
        $this->end_modified = $this->controls->date_modified->GetEndDateObject();
        if ($this->start_created === null) {
            $this->start_created = new DateBigBang();
        }
        if ($this->end_created === null) {
            $this->end_created = new DateArmageddon();
        }
        if ($this->start_modified === null) {
            $this->start_modified = new DateBigBang();
        }
        if ($this->end_modified === null) {
            $this->end_modified = new DateArmageddon();
        }
        $this->csv_separator = $this->controls->csv_export->GetSeparator();
        $this->workflow_id = $this->controls->workflow_select->GetWFId();
        $this->workflow_id = $this->workflow_id > 0 ? $this->workflow_id : null;
    }
    function InitHeaders()
    {
        $this->column_headers = array(array($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_8f06554776135669af1f9fe2598" . "af4dc"], $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_0c5123aa744f69bbc0e8b3ea2f6e" . "847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_3893085d5d4dd5f7f8004284" . "7fc8fd66"])), array($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_52ff3d2c2e521e8d4e39bc762ea72a" . "70"], $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_0c5123aa744f69bbc0e8b3ea2f6e847" . "d"]($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_21977da3ae64465ec" . "85f89dfb0b6dcf2"])));
        $this->column_types = array(new CommonListOutputText(), new CommonListOutputText());
    }
    function GetNumRows()
    {
        return WFStat::GetSummaryNumRows($this->workflow_id);
    }
    function GetData($_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4)
    {
        $_343a395319323dd7609bcbc465b4d034 = WFStat::GetSummaryReportArray($this->start_created->getDate(DATE_FORMAT_TIMESTAMP), $this->end_created->getDate(DATE_FORMAT_TIMESTAMP), $this->start_modified->getDate(DATE_FORMAT_TIMESTAMP), $this->end_modified->getDate(DATE_FORMAT_TIMESTAMP), $_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4, $this->workflow_id);
        $values = array();
        foreach ($_343a395319323dd7609bcbc465b4d034 as $_b8cfc2e06d9d1fec1893ea4a054002bf) {
            $values[] = array($_b8cfc2e06d9d1fec1893ea4a054002bf[0], $_b8cfc2e06d9d1fec1893ea4a054002bf[1]);
        }
        return $values;
    }
}